Loading...
Searching...
No Matches
dcmtk::log4cplus::HierarchyLocker Class Reference

This is used to lock a Hierarchy. More...

## Public Member Functions

void | resetConfiguration ()
| Calls the `resetConfiguration()` method on the locked Hierarchy.
Logger | getInstance (const log4cplus::tstring &name)
| Calls the `getInstance()` method on the locked Hierarchy.
Logger | getInstance (const log4cplus::tstring &name, spi::LoggerFactory &factory)
| Calls the `getInstance()` method on the locked Hierarchy.

## Detailed Description

This is used to lock a Hierarchy.

The dtor unlocks the Hierarchy.

The documentation for this class was generated from the following file:

- oflog/include/dcmtk/oflog/hierlock.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.15.0